# Makefile.in generated by automake 1.9.2 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# "lib/mk/Makefile.am"
#	$Id: Makefile.am,v 1.3 2007/08/22 20:24:33 fang Exp $
# Makefile for standard hackt library files.  
# All files managed herein should be architecture-independent, 
# and appropriate for installation in $(datadir).

# "Make.stddef"
#	vi: ft=automake
# make-independent definitions
# This Makefile fragment should be included as early as possible
# by other makefiles.  
#	$Id: Make.stddef,v 1.29 2008/12/04 21:27:08 fang Exp $

# "Make.global"
#	vi: ft=automake
# Project-wide Makefile targets and dependencies.
# Generally, it is recommended to include this Makefile last.  
# This file may be used as an includable Makefile snippet, 
# or with automake for automatic inlining.  
# NOTE: standard definition macros appear in "Make.stddef" and should
# be included *before* the inclusion of this Makefile.  
# NOTE: the for-loop syntax used requires that SHELL = sh, not bash.
#	$Id: Make.global,v 1.33 2008/12/23 04:42:20 fang Exp $

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
DIST_COMMON = $(dist_noinst_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/Make.global \
	$(top_srcdir)/Make.stddef

# make cvsignore by default
@AUTO_CVSIGNORE_TRUE@am__append_1 = cvsignore-am

# automake doesn't like b/c RECURSIVE_TARGETS not defined early enough
@AUTO_CVSIGNORE_TRUE@am__append_2 = cvsignore-recursive
@AUTO_CVSIGNORE_TRUE@am__append_3 = clean-cvsignore-recursive
subdir = lib/mk
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/builtin_funcs.m4 \
	$(top_srcdir)/config/cc.m4 $(top_srcdir)/config/cxx.m4 \
	$(top_srcdir)/config/cxx_STL.m4 \
	$(top_srcdir)/config/documentation.m4 \
	$(top_srcdir)/config/guile.m4 $(top_srcdir)/config/hackt.m4 \
	$(top_srcdir)/config/header_validation.m4 \
	$(top_srcdir)/config/lexyacc.m4 $(top_srcdir)/config/os.m4 \
	$(top_srcdir)/config/rl_el.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/__config__.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(makedir)"
makeDATA_INSTALL = $(INSTALL_DATA)
DATA = $(dist_noinst_DATA) $(make_DATA) $(noinst_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ABI_ILP32_FALSE = @ABI_ILP32_FALSE@
ABI_ILP32_TRUE = @ABI_ILP32_TRUE@
ABI_ILP64_FALSE = @ABI_ILP64_FALSE@
ABI_ILP64_TRUE = @ABI_ILP64_TRUE@
ACLOCAL = @ACLOCAL@
ACLOCAL_FLAGS = @ACLOCAL_FLAGS@
ALLOCA = @ALLOCA@
ALWAYS_TRUE_FALSE = @ALWAYS_TRUE_FALSE@
ALWAYS_TRUE_TRUE = @ALWAYS_TRUE_TRUE@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AUTO_CPPFLAGS = @AUTO_CPPFLAGS@
AUTO_CVSIGNORE_FALSE = @AUTO_CVSIGNORE_FALSE@
AUTO_CVSIGNORE_TRUE = @AUTO_CVSIGNORE_TRUE@
AUTO_LDFLAGS = @AUTO_LDFLAGS@
AWK = @AWK@
BIBTEX = @BIBTEX@
BIN_TEST = @BIN_TEST@
BUILD_DARWIN_FALSE = @BUILD_DARWIN_FALSE@
BUILD_DARWIN_TRUE = @BUILD_DARWIN_TRUE@
CALLMAKE = @CALLMAKE@
# std-options

# useful standard utility definitions
# consider autoconf-ing these...
CAT = @CAT@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CFLAT = @CFLAT@
CHECK_TESTS_FALSE = @CHECK_TESTS_FALSE@
CHECK_TESTS_TRUE = @CHECK_TESTS_TRUE@
CHMOD = @CHMOD@
CIRCO = @CIRCO@
CONFIGDATE = @CONFIGDATE@
CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
# not gcc -E
CPP_TRADITIONAL = @CPP_TRADITIONAL@
CUT = @CUT@
CVS = @CVS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CXX_VERSION = @CXX_VERSION@
CYGPATH_W = @CYGPATH_W@
DATE = @DATE@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DIFF = @DIFF@
DOT = @DOT@
DOTTY = @DOTTY@
DOT_PATH = @DOT_PATH@
DOXYGEN = @DOXYGEN@
# -B: ignore blank line diffs
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EL_INCLUDE = @EL_INCLUDE@
EL_LDPATH = @EL_LDPATH@
EL_LIB = @EL_LIB@
ENABLE_DOCS_FALSE = @ENABLE_DOCS_FALSE@
ENABLE_DOCS_TRUE = @ENABLE_DOCS_TRUE@
ENABLE_HEADER_VALIDATION_FALSE = @ENABLE_HEADER_VALIDATION_FALSE@
ENABLE_HEADER_VALIDATION_TRUE = @ENABLE_HEADER_VALIDATION_TRUE@
EXEEXT = @EXEEXT@
F77 = @F77@
FANG_DIALECT_FLAGS = @FANG_DIALECT_FLAGS@
FANG_WARN_CFLAGS = @FANG_WARN_CFLAGS@
FANG_WARN_CXXFLAGS = @FANG_WARN_CXXFLAGS@
FANG_WARN_FLAGS = @FANG_WARN_FLAGS@
FDP = @FDP@
FFLAGS = @FFLAGS@
FIG2DEV = @FIG2DEV@
FIG2DEV_PDFTEX_FALSE = @FIG2DEV_PDFTEX_FALSE@
FIG2DEV_PDFTEX_TRUE = @FIG2DEV_PDFTEX_TRUE@
FIND = @FIND@
GMP_INCLUDE = @GMP_INCLUDE@
GMP_LDPATH = @GMP_LDPATH@
GMP_LIB = @GMP_LIB@
GREP = @GREP@
GUILE = @GUILE@
GUILE_CONFIG = @GUILE_CONFIG@
GUILE_CONFIG_VERSION = @GUILE_CONFIG_VERSION@
GUILE_CPPFLAGS = @GUILE_CPPFLAGS@
GUILE_LDFLAGS = @GUILE_LDFLAGS@
GUILE_PATH = @GUILE_PATH@
HAVE_BIBTEX_FALSE = @HAVE_BIBTEX_FALSE@
HAVE_BIBTEX_TRUE = @HAVE_BIBTEX_TRUE@
HAVE_BISON_FALSE = @HAVE_BISON_FALSE@
HAVE_BISON_TRUE = @HAVE_BISON_TRUE@
HAVE_BYACC_FALSE = @HAVE_BYACC_FALSE@
HAVE_BYACC_TRUE = @HAVE_BYACC_TRUE@
HAVE_CFLAT_FALSE = @HAVE_CFLAT_FALSE@
HAVE_CFLAT_TRUE = @HAVE_CFLAT_TRUE@
HAVE_CIRCO_FALSE = @HAVE_CIRCO_FALSE@
HAVE_CIRCO_TRUE = @HAVE_CIRCO_TRUE@
HAVE_CVS_FALSE = @HAVE_CVS_FALSE@
HAVE_CVS_TRUE = @HAVE_CVS_TRUE@
HAVE_DOT = @HAVE_DOT@
HAVE_DOTTY_FALSE = @HAVE_DOTTY_FALSE@
HAVE_DOTTY_TRUE = @HAVE_DOTTY_TRUE@
HAVE_DOT_FALSE = @HAVE_DOT_FALSE@
HAVE_DOT_TRUE = @HAVE_DOT_TRUE@
HAVE_DOXYGEN_FALSE = @HAVE_DOXYGEN_FALSE@
HAVE_DOXYGEN_TRUE = @HAVE_DOXYGEN_TRUE@
HAVE_FDP_FALSE = @HAVE_FDP_FALSE@
HAVE_FDP_TRUE = @HAVE_FDP_TRUE@
HAVE_FIG2DEV_FALSE = @HAVE_FIG2DEV_FALSE@
HAVE_FIG2DEV_TRUE = @HAVE_FIG2DEV_TRUE@
HAVE_GXX_FALSE = @HAVE_GXX_FALSE@
HAVE_GXX_TRUE = @HAVE_GXX_TRUE@
HAVE_ICC_FALSE = @HAVE_ICC_FALSE@
HAVE_ICC_TRUE = @HAVE_ICC_TRUE@
HAVE_INFO_FALSE = @HAVE_INFO_FALSE@
HAVE_INFO_TRUE = @HAVE_INFO_TRUE@
HAVE_LATEX = @HAVE_LATEX@
HAVE_LATEX_FALSE = @HAVE_LATEX_FALSE@
HAVE_LATEX_TRUE = @HAVE_LATEX_TRUE@
HAVE_LEFTY_FALSE = @HAVE_LEFTY_FALSE@
HAVE_LEFTY_TRUE = @HAVE_LEFTY_TRUE@
HAVE_LIBGUILE_FALSE = @HAVE_LIBGUILE_FALSE@
HAVE_LIBGUILE_TRUE = @HAVE_LIBGUILE_TRUE@
HAVE_LVS_FALSE = @HAVE_LVS_FALSE@
HAVE_LVS_TRUE = @HAVE_LVS_TRUE@
HAVE_MAKEINDEX_FALSE = @HAVE_MAKEINDEX_FALSE@
HAVE_MAKEINDEX_TRUE = @HAVE_MAKEINDEX_TRUE@
HAVE_NEATO_FALSE = @HAVE_NEATO_FALSE@
HAVE_NEATO_TRUE = @HAVE_NEATO_TRUE@
HAVE_PDFLATEX = @HAVE_PDFLATEX@
HAVE_PDFLATEX_FALSE = @HAVE_PDFLATEX_FALSE@
HAVE_PDFLATEX_TRUE = @HAVE_PDFLATEX_TRUE@
HAVE_PKG_CONFIG_FALSE = @HAVE_PKG_CONFIG_FALSE@
HAVE_PKG_CONFIG_TRUE = @HAVE_PKG_CONFIG_TRUE@
HAVE_PRSIM_FALSE = @HAVE_PRSIM_FALSE@
HAVE_PRSIM_TRUE = @HAVE_PRSIM_TRUE@
HAVE_PS2EPSI_FALSE = @HAVE_PS2EPSI_FALSE@
HAVE_PS2EPSI_TRUE = @HAVE_PS2EPSI_TRUE@
HAVE_PS2PDF_FALSE = @HAVE_PS2PDF_FALSE@
HAVE_PS2PDF_TRUE = @HAVE_PS2PDF_TRUE@
HAVE_TWOPI_FALSE = @HAVE_TWOPI_FALSE@
HAVE_TWOPI_TRUE = @HAVE_TWOPI_TRUE@
HAVE_VCS_FALSE = @HAVE_VCS_FALSE@
HAVE_VCS_TRUE = @HAVE_VCS_TRUE@
HAVE_VPI_FALSE = @HAVE_VPI_FALSE@
HAVE_VPI_TRUE = @HAVE_VPI_TRUE@
HAVE_X11_FALSE = @HAVE_X11_FALSE@
HAVE_X11_TRUE = @HAVE_X11_TRUE@
HAVE_YACC_FALSE = @HAVE_YACC_FALSE@
HAVE_YACC_TRUE = @HAVE_YACC_TRUE@
HEAD = @HEAD@
HEXDUMP = @HEXDUMP@
INDENT = @INDENT@
INFO = @INFO@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INSTALL_TESTS_FALSE = @INSTALL_TESTS_FALSE@
INSTALL_TESTS_TRUE = @INSTALL_TESTS_TRUE@
INTERACTIVE_TESTS_FALSE = @INTERACTIVE_TESTS_FALSE@
INTERACTIVE_TESTS_TRUE = @INTERACTIVE_TESTS_TRUE@
LATEX = @LATEX@
LDFLAGS = @LDFLAGS@
LEFTY = @LEFTY@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LEX_VERSION = @LEX_VERSION@
LIBADD_DL = @LIBADD_DL@
LIBLTDL = @LIBLTDL@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBTOOL_DEPS = @LIBTOOL_DEPS@
LIBTOOL_FLAGS = @LIBTOOL_FLAGS@
LN_S = @LN_S@
LTDLINCL = @LTDLINCL@
LTDL_OBJDIR = @LTDL_OBJDIR@
LTDL_SHLIBPATH_VAR = @LTDL_SHLIBPATH_VAR@
LTLIBOBJS = @LTLIBOBJS@
LVS = @LVS@
M4 = @M4@
MAKEINDEX = @MAKEINDEX@
MAKEINFO = @MAKEINFO@
NCURSES_INCLUDE = @NCURSES_INCLUDE@
NCURSES_LDPATH = @NCURSES_LDPATH@
NCURSES_LIB = @NCURSES_LIB@
NEATO = @NEATO@
OBJECT_ALIGN_CHECKING_FALSE = @OBJECT_ALIGN_CHECKING_FALSE@
OBJECT_ALIGN_CHECKING_TRUE = @OBJECT_ALIGN_CHECKING_TRUE@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PASTE = @PASTE@
PATCH = @PATCH@
PATH_SEPARATOR = @PATH_SEPARATOR@
PDFLATEX = @PDFLATEX@
PERL = @PERL@
PERL_PATH = @PERL_PATH@
PKG_CONFIG = @PKG_CONFIG@
PRINTF = @PRINTF@
PRSIM = @PRSIM@
PS2EPSI = @PS2EPSI@
PS2PDF = @PS2PDF@
PSNUP = @PSNUP@
RANDOM_TESTS_FALSE = @RANDOM_TESTS_FALSE@
RANDOM_TESTS_TRUE = @RANDOM_TESTS_TRUE@
RANLIB = @RANLIB@
RL_INCLUDE = @RL_INCLUDE@
RL_LDPATH = @RL_LDPATH@
RL_LIB = @RL_LIB@
SED = sed
SET_MAKE = @SET_MAKE@
SH = @SH@

# force use of the ancient canonical bourne shell, 
# else configure may pick up bash as the shell interpreter.  
SHELL = @SH_PATH@
SH_PATH = @SH_PATH@
SLEEP = @SLEEP@
SORT = @SORT@
SRCDIR_BUILD_FALSE = @SRCDIR_BUILD_FALSE@
SRCDIR_BUILD_TRUE = @SRCDIR_BUILD_TRUE@
STRIP = @STRIP@
TAIL = @TAIL@
TEE = @TEE@
TEXI2HTML = @TEXI2HTML@
TOUCH = @TOUCH@
TR = @TR@
TRANSFIG = @TRANSFIG@
TWOPI = @TWOPI@
VCS = @VCS@
VERBOSE_CHECK_FALSE = @VERBOSE_CHECK_FALSE@
VERBOSE_CHECK_TRUE = @VERBOSE_CHECK_TRUE@
VERSION = @VERSION@
VPI_INCLUDE = @VPI_INCLUDE@
VPI_LDPATH = @VPI_LDPATH@
WANT_LIBMISCFUN_FALSE = @WANT_LIBMISCFUN_FALSE@
WANT_LIBMISCFUN_TRUE = @WANT_LIBMISCFUN_TRUE@
X11_INCLUDE = @X11_INCLUDE@
X11_LDPATH = @X11_LDPATH@
XARGS = @XARGS@
XDR_INCLUDE = @XDR_INCLUDE@
XDR_LDPATH = @XDR_LDPATH@
XDR_LIB = @XDR_LIB@
XFIG = @XFIG@
YACC = @YACC@
YACC_FIRST_TOKEN_ENUM = @YACC_FIRST_TOKEN_ENUM@
YACC_PURE_PARSER = @YACC_PURE_PARSER@
YACC_VERSION = @YACC_VERSION@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
# usually /bin/sh, but this is determined by configure
# add -v for verbose

# to control the version of automake (minimum)
AUTOMAKE_OPTIONS = 1.9 gnu
CP = cp -f
TEA = $(TEE) -a
PWD = @PWD@
RM = rm -f
MV = mv -f
SYNC = sync

# The following are detected and set by autoconf
# AR = ar
# ARFLAGS = -ru
# AWK = awk
# CPP = cpp
# LN = ln -fs
# RANLIB = ranlib

# defined with intention of self-modification... no used anymore
# THISMAKEFILE = Makefile

# standard automake targets to be initialized empty so subsequent uses
# may simply accumulate using +=, without having to worry about initialization
CLEANFILES = $(noinst_DATA) $(make_DATA)
DISTCLEANFILES = local.cvsignore check.log cvsdiffs $(AUTO_DEPENDS)
CLEANDIRS = 
DISTCLEANDIRS = 
EXTRA_DIST = 
TESTS = 
# EXTRA_DIST files that should only be searched from the srcdir
srcdir_EXTRA_DIST = 

# pipe to strip out srcdir from a name
# NOTE: this was ripped from $(am__vpath_adj_setup)
#	and $(am__vpath_adj)
SED_srcdir_strip_setup = srcdirstrip=`$(ECHO) "$(srcdir)" | $(SED) 's|.|.|g'`
# SED_srcdir_strip_setup = $(am__vpath_adj_setup)
SED_srcdir_strip_fast = $(SED) "s|^$$srcdirstrip/||"
SED_srcdir_strip = { $(SED_srcdir_strip_setup) ; $(SED_srcdir_strip_fast) ;}

# strip all directory prefix (from am__strip_dir)
SED_stripdir = $(SED) 's|^.*/||'

# these files are automatically removed from distribution by dist-hook
DISTHOOK_CLEANFILES = 

# The following macros are custom-defined for use with this project, 
# in particular for coupled use with Make.global.

# yeah, stupid place to put a globally useful script, move it later...
# WARNING: don't put spaces in file names!
# SPACES_TO_NEWLINE = $(AWK) '{gsub("[ \t]+","\n"); print;}'
SPACES_TO_NEWLINE = $(TR) '[:blank:]' '\n'

# to accumulate and generate automatic .cvsignore
# we've provided some project wide definitions in Make.global
# NOTE: only directory and file names here
# Wild-cards like "*.foo*" must be wrapped in quotes when listed

# list of files to automatically CVS ignore, accumulated over Makefile
AUTO_IGNORE = .gdb_history .cvsignore Makefile.in Makefile make.log \
	ignore backup temp $(CLEANFILES) $(DISTCLEANFILES)

# automatically built dependencies
AUTO_DEPENDS = 

# since automake doesn't allow appending RECURSIVE_TARGETS, we define our own:
MORE_RECURSIVE_TARGETS = force-recursive $(am__append_2) \
	build-check-recursive
MORE_CLEAN_RECURSIVE_TARGETS = $(am__append_3)

# This helper script is built by the top-level Makefile
# This is useful self-contained script for transforming program names
# to their installed names.  
INSTALL_TRANSFORM_SH = $(top_builddir)/install_transform.sh

# more robust way of removing patterns
# note: pattern arguments must be wrapped in quotes, e.g. "*.o"
RM_PATTERN = $(top_srcdir)/scripts/rm_pattern.sh

# for automatic regeneration of configured files:
RECONFIGURE = cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

# script to extract texinfo documentation from source:
# invokable after cd $(srcdir):
EXTRACT_TEXINFO_IN_SRCDIR = $(AWK) -f $(top_builddir)/scripts/extract_texinfo.awk
# invokable from any subdir:
EXTRACT_TEXINFO = $(AWK) -f $(top_srcdir)/scripts/extract_texinfo.awk
makedir = $(pkgdatadir)/mk

# Makefile and automake templates
make_DATA = \
	hackt.mk \
	hackt-suffixes.am \
	hackt-rules.am \
	hackt-lt.mk \
	hackt-lt-suffixes.am \
	hackt-lt-rules.am


# -lt are the libtoolized Makefile variants
dist_noinst_DATA = \
	hackt-suffixes.mk \
	hackt-progs.mk \
	hackt-rules.mk \
	hackt-clean.mk \
	hackt-lt-suffixes.mk \
	hackt-lt-progs.mk \
	hackt-lt-rules.mk \
	hackt-lt-clean.mk

noinst_DATA = hackt-stddef.mk
ALL_CVSIGNORE = $(am__append_1)
# RECURSIVE_TARGETS =

# blatantly copied from Makefile.in, generated by automake
RECURSIVE_TARGET_SCRIPT = \
	failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"


# always bottom-up and reverse order
# NOTE: this script needs to be prepended with '+' to connect jobserver
CLEAN_RECURSIVE_TARGET_SCRIPT = \
	set fnord $$MAKEFLAGS; amf=$$2; \
	list='$(SUBDIRS)'; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

@AUTO_CVSIGNORE_TRUE@PHONY_CVSIGNORE = clean-cvsignore-local clean-cvsignore-am cvsignore \
@AUTO_CVSIGNORE_TRUE@	clean-cvsignore cvsignore-local cvsignore-am

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Make.stddef $(top_srcdir)/Make.global $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  lib/mk/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  lib/mk/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-makeDATA: $(make_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(makedir)" || $(mkdir_p) "$(DESTDIR)$(makedir)"
	@list='$(make_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(makeDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(makedir)/$$f'"; \
	  $(makeDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(makedir)/$$f"; \
	done

uninstall-makeDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(make_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(makedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(makedir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		echo "XPASS: $$tst"; \
	      ;; \
	      *) \
		echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xfail=`expr $$xfail + 1`; \
		echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	$(mkdir_p) $(distdir)/../..
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(DATA) all-local
installdirs:
	for dir in "$(DESTDIR)$(makedir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-local mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-local

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-makeDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-makeDATA

.PHONY: all all-am all-local check check-TESTS check-am clean \
	clean-generic clean-libtool clean-local dist-hook distclean \
	distclean-generic distclean-libtool distclean-local distdir \
	dvi dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-makeDATA install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	uninstall uninstall-am uninstall-info-am uninstall-makeDATA

force-am:
force:

# end "Make.stddef"

hackt-stddef.mk:
	{ $(ECHO) "" && \
	$(ECHO) "SED = $(SED)" && \
	$(ECHO) "RM = $(RM)" && \
	$(ECHO) "MV = $(MV)" && \
	$(ECHO) "" ; \
	} > $@

# unified Makefile template, non-autotoolized
hackt.mk: hackt-stddef.mk hackt-suffixes.mk hackt-rules.am
	{ $(ECHO) "# \"$@\"" && \
	$(ECHO) "# generated Makefile" && \
	$(ECHO) "# vi: ft=make" && \
	$(CAT) hackt-stddef.mk && \
	$(ECHO) ".SUFFIXES: \\" && \
	$(CAT) $(srcdir)/hackt-suffixes.mk && \
	$(CAT) hackt-rules.am ; \
	} > $@

# automake header (include first)
# note: SUFFIXES must already be defined to append
hackt-suffixes.am: hackt-suffixes.mk
	{ $(ECHO) "# \"$@\"" ; \
	$(ECHO) "# generated Makefile" && \
	$(ECHO) "# vi: ft=make" && \
	$(ECHO) "SUFFIXES += \\" && \
	$(CAT) $< ; \
	} > $@

# automake footer (include last)
hackt-rules.am: hackt-progs.mk hackt-rules.mk hackt-clean.mk
	{ $(ECHO) "# \"$@\"" && \
	$(ECHO) "# generated Makefile" && \
	$(ECHO) "# vi: ft=make" && \
	$(ECHO) "all:" && \
	$(ECHO) "" && \
	for f in $^ ; do \
	  $(CAT) $$f ; \
	done ; \
	} > $@

#	$(CAT) $(srcdir)/hackt-progs.mk ;
#	$(CAT) $(srcdir)/hackt-rules.mk ;
#	$(CAT) $(srcdir)/hackt-clean.mk ;

# unified Makefile template, non-autotoolized
hackt-lt.mk: hackt-stddef.mk hackt-suffixes.mk hackt-lt-suffixes.mk hackt-lt-rules.am
	{ $(ECHO) "# \"$@\"" && \
	$(ECHO) "# generated Makefile" && \
	$(ECHO) "# vi: ft=make" && \
	$(CAT) hackt-stddef.mk && \
	$(ECHO) ".SUFFIXES: \\" && \
	$(CAT) $(srcdir)/hackt-suffixes.mk && \
	$(ECHO) ".SUFFIXES: \\" && \
	$(CAT) $(srcdir)/hackt-lt-suffixes.mk && \
	$(CAT) hackt-lt-rules.am ; \
	} > $@

# automake header (include first)
# note: SUFFIXES must already be defined to append
hackt-lt-suffixes.am: hackt-suffixes.mk hackt-lt-suffixes.mk
	{ $(ECHO) "# \"$@\"" && \
	$(ECHO) "# generated Makefile" && \
	$(ECHO) "# vi: ft=make" && \
	for f in $^ ; do \
	  $(ECHO) "SUFFIXES += \\" && \
	  $(CAT) $$f ; \
	done ; \
	} > $@

# automake footer (include last)
hackt-lt-rules.am: hackt-progs.mk hackt-lt-progs.mk \
		hackt-rules.mk hackt-lt-rules.mk \
		hackt-clean.mk hackt-lt-clean.mk
	{ $(ECHO) "# \"$@\"" && \
	$(ECHO) "# generated Makefile" && \
	$(ECHO) "# vi: ft=make" && \
	$(ECHO) "all:" && \
	$(ECHO) "" && \
	for f in $^ ; do \
	  $(CAT) $$f ; \
	done ; \
	} > $@

#	$(CAT) $(srcdir)/hackt-progs.mk ;
#	$(CAT) $(srcdir)/hackt-lt-progs.mk ;
#	$(CAT) $(srcdir)/hackt-rules.mk ;
#	$(CAT) $(srcdir)/hackt-lt-rules.mk ;
#	$(CAT) $(srcdir)/hackt-clean.mk ;
#	$(CAT) $(srcdir)/hackt-lt-clean.mk ;

local.cvsignore:
	$(TOUCH) $@

# automatically runs autotools (and recursively in subdirectories)
reconf: force
	autoreconf

# .cvsignore for this project will always be semi-automatically generated
# .cvsignore is never needed for VPATH builds, duh!
@AUTO_CVSIGNORE_TRUE@$(srcdir)/.cvsignore: $(srcdir)/Makefile.am $(top_srcdir)/Make.global

# phony recursive target
@AUTO_CVSIGNORE_TRUE@cvsignore-recursive: $(srcdir)/.cvsignore force

@AUTO_CVSIGNORE_TRUE@cvsignore: cvsignore-recursive

@AUTO_CVSIGNORE_TRUE@cvsignore-am: $(srcdir)/.cvsignore cvsignore-local

@AUTO_CVSIGNORE_TRUE@clean-cvsignore: clean-cvsignore-recursive

@AUTO_CVSIGNORE_TRUE@clean-cvsignore-am: clean-cvsignore-local
@AUTO_CVSIGNORE_TRUE@	-$(RM) $(srcdir)/.cvsignore

# DISTCLEANFILES += $(srcdir)/.cvsignore

all-local: $(ALL_CVSIGNORE)

build-check: build-check-recursive

build-check-am: build-check-local

build-check-local:

# convenient target for building subtree of the distribution
# not a recursive target
# this also clears out the target distribution directory first
distdir-subdir:
	top_distdir="$(top_builddir)/$(PACKAGE)-$(VERSION)" ; \
	distdir="$$top_distdir/$(subdir)" ; \
	until rm -fr $$distdir ; do : ; done ; \
	$(mkdir_p) $$distdir ; \
	$(MAKE) top_distdir="$$top_distdir" distdir="$$distdir" distdir ; \
	$(ECHO) "$$distdir ready for inspection."

# This target tells make to look exclusively in the srcdir for these files
# and copy them over to the distdir.
# This is needed because the EXTRA_DIST target sometimes finds unwanted files
# in the build directory.  (e.g. auto-generated empty files)
# $distdir is assumed passed in as Makefile variable already because it 
# is a dependency of dist-hook, which is a dependency of distdir.
# NOTE: this ignores files that are not found in the srcdir!
srcdir-distfiles: force
	list='$(srcdir_EXTRA_DIST)'; \
	for file in $$list ; do \
	  test ! -f $(srcdir)/$$file || cp -p $(srcdir)/$$file $(distdir) ; \
	done
#	for file in $$list ; do \
#	  case $$file in \
#	    $(srcdir)/*) cp $$file $(distdir) ;; \
#	    *) cp $(srcdir)/$$file $(distdir) ;; \
#	  esac ; \
#	done

dist-hook: srcdir-distfiles

cleandirs:
	test -z "$(CLEANDIRS)" || $(RM) -r $(CLEANDIRS)

clean-local: cleandirs

# $distdir is assumed passed in as Makefile variable
distcleandirs:
	test -z "$(DISTCLEANDIRS)" || $(RM) -r $(DISTCLEANDIRS)

distclean-local: distcleandirs

# $distdir is assumed passed in as Makefile variable
dist-hook-autoclean:
	-cd $(distdir) && { test -z "$(DISTHOOK_CLEANFILES)" || $(RM) $(DISTHOOK_CLEANFILES) ;}

dist-hook: dist-hook-autoclean

# echo makefile debugging
echo-extra-dist: force
	@$(ECHO) $(EXTRA_DIST)

echo-srcdir-extra-dist: force
	@$(ECHO) $(srcdir_EXTRA_DIST)

# list the automatically distributed files
echo-dist-common: force
	@$(ECHO) $(DIST_COMMON)

echo-distfiles: force
	@$(ECHO) $(DISTFILES)

echo-cleanfiles: force
	@$(ECHO) $(CLEANFILES)

echo-disthook-cleanfiles: force
	@$(ECHO) $(DISTHOOK_CLEANFILES)

echo-distcleanfiles: force
	@$(ECHO) $(DISTCLEANFILES)

echo-auto-ignore: force
	@$(ECHO) $(AUTO_IGNORE)

echo-config: force
	cd $(top_builddir) && ./config.status --version

echo-srcdir: force
	@$(ECHO) $(srcdir)

echo-top-srcdir: force
	@$(ECHO) $(top_srcdir)

echo-top-builddir: force
	@$(ECHO) $(top_builddir)

echo-subdir: force
	@$(ECHO) $(subdir)

echo-subdirs: force
	@$(ECHO) $(SUBDIRS)

echo-dist-subdirs: force
	@$(ECHO) $(DIST_SUBDIRS)

echo-build: force
	@$(ECHO) $(build)

echo-host: force
	@$(ECHO) $(host)

echo-program-transform-name: force
	@$(ECHO) $(program_transform_name)

echo-prefix: force
	@$(ECHO) $(prefix)

echo-exec-prefix: force
	@$(ECHO) $(exec_prefix)

echo-programs: force
	@$(ECHO) $(PROGRAMS)

echo-scripts: force
	@$(ECHO) $(SCRIPTS)

echo-data: force
	@$(ECHO) $(DATA)

echo-texinfos: force
	@$(ECHO) $(TEXINFOS)

echo-dvis: force
	@$(ECHO) $(DVIS)

echo-pdfs: force
	@$(ECHO) $(PDFS)

echo-pss: force
	@$(ECHO) $(PSS)

echo-htmls: force
	@$(ECHO) $(htmls)

echo-package: force
	@$(ECHO) $(PACKAGE)

echo-package-bugreport: force
	@$(ECHO) $(PACKAGE_BUGREPORT)

echo-package-version: force
	@$(ECHO) $(PACKAGE_VERSION)

echo-SUFFIXES: force
	@$(ECHO) $(SUFFIXES)

echo-LEX: force
	@$(ECHO) $(LEX)

echo-YACC: force
	@$(ECHO) $(YACC)

echo-AM_CFLAGS: force
	@$(ECHO) $(AM_CFLAGS)

echo-AM_CXXFLAGS: force
	@$(ECHO) $(AM_CXXFLAGS)

echo-AM_CPPFLAGS: force
	@$(ECHO) $(AM_CPPFLAGS)

echo-AM_LDFLAGS: force
	@$(ECHO) $(AM_LDFLAGS)

echo-CFLAGS: force
	@$(ECHO) $(CFLAGS)

echo-CXXFLAGS: force
	@$(ECHO) $(CXXFLAGS)

echo-CPPFLAGS: force
	@$(ECHO) $(CPPFLAGS)

echo-LDFLAGS: force
	@$(ECHO) $(LDFLAGS)

echo-LIBS: force
	@$(ECHO) $(LIBS)

# might as well include this for non-maintainers too
# again, can't append to file with cat redirection because distclean
# sets permissions of new files as read-only
# NOTE: local.cvsignore may be normal or automatically generated
@AUTO_CVSIGNORE_TRUE@$(srcdir)/.cvsignore: local.cvsignore
@AUTO_CVSIGNORE_TRUE@	@$(ECHO) $(AUTO_IGNORE) | $(SPACES_TO_NEWLINE) > $@.temp
@AUTO_CVSIGNORE_TRUE@	-$(CAT) $< $@.temp > $@
@AUTO_CVSIGNORE_TRUE@	-$(RM) $@.temp

# -k option allows continuation past directories with failed tests
check.log: force
	@$(ECHO) "Logging results of \"make -k check\" in $@ ..."
	@$(ECHO) Tests started `$(DATE)` > $@.tmp
	-$(MAKE) -k check >> $@.tmp 2>&1
	@$(ECHO) Tests finished `$(DATE)` >> $@.tmp
	-$(MV) $@.tmp $@
# dump failures
	-$(GREP) -v "^PASS" $@ | $(GREP) -v "ignored"
	-$(GREP) "^Tests" $@
#	@$(ECHO) `$(GREP) "Abort trap" $@ | wc -l` cases crashed.
#	@$(ECHO) Total of `$(GREP) ^FAIL $@ | wc -l` failures encountered.
	$(AWK) -f $(top_srcdir)/scripts/tally_tests.awk $@
	@if $(GREP) "make.* \*\*\* " $@ ; then \
		$(ECHO) "Errors found!  see $@." ; \
		exit 1 ; \
	fi

# filters are specific to this project
# don't depend on check.log which is forced
check.log.filter:
	@test -f check.log && \
	$(CAT) check.log | $(GREP) -v "^Summarizing" | \
		$(GREP) -v "src/hackt" > $@ \
		|| $(ECHO) "\'make check.log\' first"

# assumes 'wc' in PATH
@HAVE_CVS_TRUE@cvsdiffs: force
@HAVE_CVS_TRUE@	-{ cd $(srcdir) && $(CVS) $(DIFF) -uN ;} > $@
@HAVE_CVS_TRUE@	@$(ECHO) `$(GREP) "^-" $@ | $(GREP) -v "^---" | wc -l` "lines removed" ; \
@HAVE_CVS_TRUE@	$(ECHO) `$(GREP) "^+" $@ | $(GREP) -v "^+++" | wc -l` "lines added"
@HAVE_CVS_FALSE@cvsdiffs: force
@HAVE_CVS_FALSE@	@$(ECHO) "Sorry, no 'cvs' found in path."

# general rule for recursive targets
$(MORE_RECURSIVE_TARGETS):
	+@$(RECURSIVE_TARGET_SCRIPT)

$(MORE_CLEAN_RECURSIVE_TARGETS):
	+@$(CLEAN_RECURSIVE_TARGET_SCRIPT)

# this shouldn't be parallel...
# .NOTPARALLEL: help
# .NOTPARALLEL unfortunately kills everything...
# help: help-global help-local
help: 
# ignore stderr
	-@{ $(CALLMAKE) help-global ; \
	$(CALLMAKE) help-local ;} 2> /dev/null

help-local:

# brief description of targets
help-global:
	@$(ECHO) "Global make targets:" ; \
	$(ECHO) "    help: lists some useful make targets" ; \
	$(ECHO) "    all: builds everything (recursive)" ; \
	$(ECHO) "    clean: removes make targets (recursive)" ; \
	$(ECHO) "    distclean: removes configure targets (recursive)" ; \
	$(ECHO) "    cvsdiffs: creates difference patch from CVS"
@AUTO_CVSIGNORE_TRUE@	@$(ECHO) "    cvsignore: generates $$(srcdir)/.cvsignore (recursive)" ; \
@AUTO_CVSIGNORE_TRUE@	$(ECHO) "    clean-cvsignore: cleans $$(srcdir)/.cvsignore (recursive)"
	@$(ECHO) "    check: runs tests (recursive)" ; \
	$(ECHO) "    build-check: create/run tests, without check (recursive)" ; \
	$(ECHO) "    check.log: logs make check -k" ; \
	$(ECHO) "    distdir-subdir: packages subtree of distribution" ; \
	$(ECHO) "    pdf: builds PDFs (recursive)" ; \
	$(ECHO) "    ps: builds PostScripts (recursive)" ; \
	$(ECHO) "    info: builds texinfo files (recursive)" ; \
	$(ECHO) "    html: builds HTML files (recursive)" ; \
	$(ECHO) "    echo-*:" ; \
	$(ECHO) "	config: configure invocation (config.status --version)" ; \
	$(ECHO) "	cleanfiles: list of cleaned files" ; \
	$(ECHO) "	distcleanfiles: list of distcleaned files" ; \
	$(ECHO) "	SUFFIXES: list of Makefile suffixes" ; \
	$(ECHO) "	extra-dist: list of EXTRA_DIST files" ; \
	$(ECHO) "	srcdir-extra-dist: list of source-only distrib. files" ; \
	$(ECHO) "	dist-common: list automatic DIST_COMMON files" ; \
	$(ECHO) "	distfiles: list of all DISTFILES" ; \
	$(ECHO) "	disthook-cleanfiles: list of all DISTHOOK_CLEANFILES" ; \
	$(ECHO) "	auto-ignore: list of automatic cvsignored files" ; \
	$(ECHO) "	srcdir, top-srcdir, top-builddir, subdir, " ; \
	$(ECHO) "	build, host, prefix, exec-prefix" ; \
	$(ECHO) "	subdirs, dist-subdirs" ; \
	$(ECHO) "	programs, scripts, data" ; \
	$(ECHO) "	texinfos, dvis, pdfs, pss, htmls" ; \
	$(ECHO) "	program-transform-name, package{,-version,-bugreport}" ; \
	$(ECHO) "	CFLAGS, CXXFLAGS, CPPFLAGS, LDFLAGS, AM_*FLAGS, LIBS, LEX, YACC"

# http://xkcd.com/149/
sandwich:
	@if test `whoami` = "root" ; then \
	  $(ECHO) "Okay." ; \
	else \
	  $(ECHO) "What? Make it yourself." ; \
	fi

# standard phony target for unconditional targets
force:

.PHONY: force $(PHONY_CVSIGNORE) \
	$(MORE_RECURSIVE_TARGETS) $(MORE_CLEAN_RECURSIVE_TARGETS) \
	help help-local help-global dist-hook dist-hook-autoclean \
	srcdir-distfiles build-check build-check-am build-check-local
# will automatically pickup in AUTOIGNORE
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
